

#ifndef __LIBLINK__
#define __LIBLINK__

#include <iostream>
#include <Eigen/Dense>
#include <Eigen/SVD>
#include <math.h>
#include <string>

using namespace Eigen;
using namespace std;

#define lE1 0.071377 
#define lE2 0.145713
#define lE3 0.17947
#define lE4 0.08344

#define THRESHOLD 0.005
#define JDelta 0.000001
#define N_ITERACIONES 100

Matrix4f getMat02(float t);
Matrix4f getMat23(float t);
Matrix4f getMat34(float t);
Matrix4f getMat4f(float t);
Vector4f T(Vector4f q);				/* Final pos */
Matrix4f jacobian(Vector4f q);
Vector4f solveQ(Vector4f T_final,Vector4f q0 = Vector4f(0,0,0,0));

#endif
