#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "MinimalVrep.hpp"
#include "libLInK/libLink.hpp"
#include <vector>
#include <QDebug>
#include <QPointF>
#include <unistd.h>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    void moveTo(float x, float y, float z);
public slots:
    void start(bool);
    void pause(bool);
    void stop(bool);
    void goTo(bool);
    void runCode(bool);
    void createNewSim(bool);

private:
    Ui::MainWindow *ui;
    MinimalVrep sim;
    Vector4f Q0;
};

#endif // MAINWINDOW_H
