

#include "MinimalVrep.hpp"


MinimalVrep::MinimalVrep()
{
	com_id = simxStart("127.0.0.1",PORT,true,true,2000,5);
	if(com_id == -1)
	{
		cout << "Error estableciendo comunicacion con VREP" << endl;
	}
}

void MinimalVrep::start()
{
	simxStartSimulation(com_id,0x000000);
}

void MinimalVrep::pause()
{
    simxPauseSimulation(com_id,0x000000);
}

void MinimalVrep::stop()
{
	simxStopSimulation(com_id,0x000000);
}

void MinimalVrep::addJoint(Joint j)
{
	joints.push_back(j);
}

void MinimalVrep::setJointPos(int indice, float pos)
{
	Joint j = joints.at(indice);
	int handle; 
	simxGetObjectHandle(com_id,j.getName(), &handle,0x010000);

	simxSetJointTargetPosition(com_id,handle,pos,0x000000);
}
float MinimalVrep::getJointPos(int indice)
{
	Joint j = joints.at(indice);
	int handle;
	simxGetObjectHandle(com_id,j.getName(), &handle, 0x010000);
	float pos;

	simxGetJointPosition(com_id,handle,&pos,0x020000);
	return pos;
}

int MinimalVrep::getId()
{
    return com_id;
}


